/**
 * Data model pour les cellules
 */
export default class CelluleDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      notoriete: new fields.NumberField({ initial: 0, integer: true }),
      resistance: new fields.NumberField({ initial: 0, integer: true }),
      developpement: new fields.NumberField({ initial: 0, integer: true }),
      members: new fields.ArrayField(new fields.StringField(), { initial: [] }),
      description: new fields.HTMLField({ initial: "" })
    };
  }
}
